<!-- Define la función para mostrar profesor -->
{% macro show_row_professor(professor) %}
<tr>
  <td>{{professor.firstname}}</td>
  <td>{{professor.lastname}}</td>
  <td>{{professor.email}}</td>
  <td>
    <a type="button" href="{{url_for('professor.view',id=professor.id)}}" class="btn btn-success">View</a>
  </td>
</tr>
{% endmacro %}

{% macro show_card_professor(professor) %}
<div class="card" style="width: 18rem;">
    <!-- Mostrar elemento estático -->
    <img src="{{url_for('static', filename='img/user.png')}}" style="width: 50%;right: 10%;position: relative;left: 20%;" alt="User image">
      <ul class="list-group list-group-flush">
        <li class="list-group-item"><b>Firstname: </b>{{professor.firstname}}</li>
        <li class="list-group-item"><b>Lastname: </b>{{professor.lastname}}</li>
        {% if professor.private %}
            <li class="list-group-item muted"><b>E-mail: </b>E-mail Private</li>
        {% else %}
            <li class="list-group-item"><b>E-mail: </b>{{professor.email}}</li>
        {% endif %}

      </ul>
</div>
{% endmacro %}
